---
title: Hextra 主题
layout: hextra-home
---

{{< hextra/hero-badge >}}
  <div class="w-2 h-2 rounded-full bg-primary-400"></div>
  <span>免费 开源</span>
  {{< icon name="arrow-circle-right" attributes="height=14" >}}
{{< /hextra/hero-badge >}}

<div class="mt-6 mb-6">
{{< hextra/hero-headline >}}
  创建现代化网站&nbsp;<br class="sm:block hidden" />由 Markdown 和 Hugo 驱动
{{< /hextra/hero-headline >}}
</div>

<div class="mb-12">
{{< hextra/hero-subtitle >}}
  极速且全能的 Hugo 主题框架&nbsp;<br class="sm:block hidden" />为构建现代化的静态网站而生
{{< /hextra/hero-subtitle >}}
</div>

<div class="mb-6">
{{< hextra/hero-button text="现在开始" link="docs" >}}
</div>

<div class="mt-6"></div>

{{< hextra/feature-grid >}}
  {{< hextra/feature-card
    title="快速且功能全面"
    subtitle="简单易用，功能强大丰富。"
    class="aspect-auto md:aspect-[1.1/1] max-md:min-h-[340px]"
    image="/images/hextra-doc.webp"
    imageClass="top-[40%] left-[24px] w-[180%] sm:w-[110%] dark:opacity-80"
    style="background: radial-gradient(ellipse at 50% 80%,rgba(194,97,254,0.15),hsla(0,0%,100%,0));"
  >}}
  {{< hextra/feature-card
    title="Markdown 写作"
    subtitle="只需使用 Markdown 进行编辑。多样的 Shortcode 组件开箱即用。"
    class="aspect-auto md:aspect-[1.1/1] max-lg:min-h-[340px]"
    image="/images/hextra-markdown.webp"
    imageClass="top-[40%] left-[36px] w-[180%] sm:w-[110%] dark:opacity-80"
    style="background: radial-gradient(ellipse at 50% 80%,rgba(142,53,74,0.15),hsla(0,0%,100%,0));"
  >}}
  {{< hextra/feature-card
    title="全文搜索"
    subtitle="内置 FlexSearch 全文搜索，无需额外设置。"
    class="aspect-auto md:aspect-[1.1/1] max-md:min-h-[340px]"
    image="/images/hextra-search.webp"
    imageClass="top-[40%] left-[36px] w-[110%] sm:w-[110%] dark:opacity-80"
    style="background: radial-gradient(ellipse at 50% 80%,rgba(221,210,59,0.15),hsla(0,0%,100%,0));"
  >}}
  {{< hextra/feature-card
    title="轻如羽毛"
    subtitle="使用 Hextra 无需依赖 Node.js。由 Hugo 提供支持，Hugo 是最快的静态网站生成器之一，只需一个二进制文件即可在数秒内创建网站。"
  >}}
  {{< hextra/feature-card
    title="响应式布局，暗黑模式"
    subtitle="适应不同的屏幕尺寸。内置暗黑模式支持，并根据用户的系统偏好自动切换。"
  >}}
  {{< hextra/feature-card
    title="免费构建和托管"
    subtitle="使用 GitHub Actions 进行构建，并在 GitHub Pages 上免费托管。也可以托管在任何静态托管服务上。"
  >}}
  {{< hextra/feature-card
    title="多语言轻松实现"
    subtitle="仅需通过在 Markdown 文件后添加语言代码即可创建多语言页面。向您的站点添加 i18n 支持直观易行。"
  >}}
  {{< hextra/feature-card
    title="还有更多..."
    icon="sparkles"
    subtitle="代码高亮 / 目录 / SEO / RSS / LaTeX 公式 / Mermaid 图标 / 自定义 / 等等..."
  >}}
{{< /hextra/feature-grid >}}
